﻿Imports Telerik.Web.UI
Imports System.Drawing
Imports Telerik.Charting

Partial Class _Default
    Inherits System.Web.UI.Page


    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        Dim lstGammaDetails As New List(Of GammaDetail)

        lstGammaDetails = GetGammaDetails()

        RadChart1.Series.Clear()

        'Chart appearance
        RadChart1.Height = Unit.Pixel(300)
        RadChart1.PlotArea.Appearance.FillStyle.FillType = Telerik.Charting.Styles.FillType.Solid
        RadChart1.PlotArea.Appearance.FillStyle.MainColor = Color.White
        RadChart1.PlotArea.Appearance.Dimensions.Margins.Top = New Telerik.Charting.Styles.Unit(28)
        RadChart1.PlotArea.Appearance.Dimensions.Margins.Left = New Telerik.Charting.Styles.Unit(40)
        RadChart1.PlotArea.Appearance.Dimensions.Margins.Right = New Telerik.Charting.Styles.Unit(8)
        RadChart1.PlotArea.Appearance.Dimensions.Margins.Bottom = New Telerik.Charting.Styles.Unit(10)
        RadChart1.IntelligentLabelsEnabled = False
        RadChart1.PlotArea.XAxis.Visible = Styles.ChartAxisVisibility.True

        'X Axis
        'RadChart1.PlotArea.XAxis.DataLabelsColumn = "Depth"
        'RadChart1.PlotArea.XAxis.AutoScale = False
        RadChart1.PlotArea.XAxis.LayoutMode = Styles.ChartAxisLayoutMode.Normal

        'Min and Max values 
        'RadChart1.PlotArea.XAxis.MinValue = 1
        'RadChart1.PlotArea.XAxis.MaxValue = 10
        'RadChart1.PlotArea.XAxis.Step = 1

        'RadChart1.PlotArea.XAxis.AddRange(1, 120, 1)

        'Y Axis2
        RadChart1.PlotArea.YAxis2.Appearance.MajorGridLines.Visible = True
        RadChart1.PlotArea.YAxis2.Appearance.MajorGridLines.Color = Color.Gray
        RadChart1.PlotArea.YAxis2.AxisLabel.TextBlock.Appearance.TextProperties.Color = Color.Black
        RadChart1.PlotArea.YAxis2.Appearance.TextAppearance.TextProperties.Color = Color.Black

        'Line series
        Dim chartSeries As New Telerik.Charting.ChartSeries
        chartSeries.Appearance.LabelAppearance.Visible = False
        chartSeries.Name = "GAMMA"
        chartSeries.Type = ChartSeriesType.Line
        chartSeries.Appearance.LineSeriesAppearance.Color = System.Drawing.Color.LightBlue
        chartSeries.DataYColumn = "Value"
        chartSeries.DataXColumn = "Depth"
        chartSeries.YAxisType = ChartYAxisType.Secondary

        RadChart1.Series.Add(chartSeries)
        RadChart1.DataSource = lstGammaDetails
        RadChart1.DataBind()
        RadChart1.PlotArea.XAxis.Appearance.CustomFormat = "##;##"


    End Sub


    Protected Sub RadChart1_ItemDataBound(ByVal sender As Object, ByVal e As ChartItemDataBoundEventArgs)
        e.SeriesItem.XValue = -e.SeriesItem.XValue
    End Sub

    Private Function GetGammaDetails()

        Dim lstGD As New List(Of GammaDetail)

        Dim gd1 = New GammaDetail()
        gd1.Depth = 1
        gd1.Value = 100
        lstGD.Add(gd1)

        Dim gd2 = New GammaDetail()
        gd2.Depth = 2
        gd2.Value = 200
        lstGD.Add(gd2)

        Dim gd3 = New GammaDetail()
        gd3.Depth = 3
        gd3.Value = 200
        lstGD.Add(gd3)

        Dim gd4 = New GammaDetail()
        gd4.Depth = 4
        gd4.Value = 250
        lstGD.Add(gd4)

        Dim gd5 = New GammaDetail()
        gd5.Depth = 5
        gd5.Value = 50
        lstGD.Add(gd5)

        Dim gd6 = New GammaDetail()
        gd6.Depth = 6
        gd6.Value = 50
        lstGD.Add(gd6)

        Return lstGD

    End Function


End Class


Public Class GammaDetail

    Private _depth As Decimal
    Public Property Depth() As Decimal
        Get
            Return _depth
        End Get
        Set(ByVal value As Decimal)
            _depth = value
        End Set
    End Property

    Private _value As Decimal
    Public Property Value() As Decimal
        Get
            Return _value
        End Get
        Set(ByVal value As Decimal)
            _value = value
        End Set
    End Property


End Class
